Get a service's CI runs

View as Markdown
Gets a paginated list of CI collection runs for a service that includes summary statistics, pipeline details, and Git metadata.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

serviceIdstringRequired
The service's ID.

Query parameters

systemEnvironmentIdstringRequired
The system environment's ID.
collectionIdstringOptionalformat: "uid"
Filter results to only the given collection ID's runs.
environmentIdstringOptional
Filter results to only the given environment ID runs.
statusenumOptional
Filter results by run status.
Allowed values:
branchstringOptional<=255 characters
Filter results by the given Git branch name.
workflowNamestringOptional<=255 characters
Filter results by the given CI workflow name.
actorstringOptional<=100 characters
Filter results by the given CI user that triggered the run.
repoNamestringOptional<=255 characters
Filter results by the given repository name.
repoOwnerstringOptional<=100 characters
Filter results by the given repository owner.
sortstringOptionalformat: "^(timestamp|duration):(asc|desc)$"

Sort the results in field:direction order format. Accepts the timestamp and duration fields. Supports the asc and desc directions.

limitintegerOptional1-100Defaults to 20
The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

Response

Successful Response
metaobject
The response's meta information for paginated results.
datalist of objects
A list of CI collection runs.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error